## org.apache.mahout.math.hadoop.stochasticsvd.qr
Class QRFirstStep

    java.lang.Object
      org.apache.mahout.math.hadoop.stochasticsvd.qr.QRFirstStep

All Implemented Interfaces:
  Closeable, org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.Writable,Vector>

    public class QRFirstStep

extends Object
implements Closeable, org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.Writable,Vector>

QR first step without MR abstractions and doing it just in terms of iterators and collectors. (although Collector is probably an outdated api).

Field Summary
`static String` `PROP_AROWBLOCK_SIZE`
`static String` `PROP_K`
`static String` `PROP_P`

Constructor Summary
`QRFirstStep(org.apache.hadoop.conf.Configuration jobConf, org.apache.hadoop.mapred.OutputCollector<? super org.apache.hadoop.io.Writable,? super DenseBlockWritable> qtHatOut, org.apache.hadoop.mapred.OutputCollector<? super org.apache.hadoop.io.Writable,? super VectorWritable> rHatOut)`

Method Summary
`protected void` `cleanup()`
`void` `close()`
`void` `collect(org.apache.hadoop.io.Writable key, Vector vw)`
`int` `getKP()`
`protected void` `map(Vector incomingYRow)`
`protected void` `setup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_K

    public static final String PROP_K

See Also:
  Constant Field Values

### PROP_P

    public static final String PROP_P

See Also:
  Constant Field Values

### PROP_AROWBLOCK_SIZE

    public static final String PROP_AROWBLOCK_SIZE

See Also:
  Constant Field Values

Constructor Detail

### QRFirstStep

    public QRFirstStep(org.apache.hadoop.conf.Configuration jobConf,
                       org.apache.hadoop.mapred.OutputCollector<? super org.apache.hadoop.io.Writable,? super DenseBlockWritable> qtHatOut,
                       org.apache.hadoop.mapred.OutputCollector<? super org.apache.hadoop.io.Writable,? super VectorWritable> rHatOut)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### getKP

    public int getKP()

### map

    protected void map(Vector incomingYRow)
                throws IOException

  Throws:
    `IOException`

### setup

    protected void setup()

### cleanup

    protected void cleanup()
                    throws IOException

  Throws:
    `IOException`

### collect

    public void collect(org.apache.hadoop.io.Writable key,
                        Vector vw)
                 throws IOException

  Specified by:
    `collect` in interface `org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.Writable,Vector>`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.